/**
 *    @file  csv.h
 *   @brief
 *
 *  <+DETAILED+>
 *
 *  @author  François Cerbelle (Fanfan), francois@cerbelle.net
 *
 *  @internal
 *       Created:  29/10/2024
 *      Revision:  none
 * Last modified:  2024-11-02 12:54
 *      Compiler:  gcc
 *  Organization:  Cerbelle.net
 *     Copyright:  Copyright (c) 2024, François Cerbelle
 *
 *  This source code is released for free distribution under the terms of the
 *  GNU General Public License as published by the Free Software Foundation.
 */

#ifndef __CSV_H__
#define __CSV_H__

#include <stdio.h>                              /* FILE */

typedef struct csv_s csv_t;
typedef struct csvrecord_s csvrecord_t;
typedef struct csvfield_s csvfield_t;

void csv_addline(FILE* reportfile);
void csv_addfield(FILE* reportfile, const char* value);

char* csvtok(char* source);
char* txt2csv(const char* text);

#endif /* __CSV_H__ */
/* vim: set tw=80: */
